#!/usr/local/bin/php
<?php
/*
 * $Id: duanxin.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 *
 * Server Manager by ADCOOP
 * Mail reception processing for Living Confirmation
 */
// include the setup script
include('public_html/libs/server_manager.lib.php');

// create servermanager object
$servermanager =& new ServerManager;

/*
 * Confirming the operation
 * cat test.eml | /usr/local/bin/php duanxin.php
*/
// Initialization
  $mail_data["subject"]   = "";
  $mail_data["srv_name"]  = "";
  $source    = "";
  // The mail source is read from a standard input.
  while(!feof(STDIN)) {
    $buff = mb_convert_encoding(fgets(STDIN, 4096),"UTF-8","AUTO");
    if(preg_match("/^Subject:\s(.*)$/i",$buff,$match)){
      $mail_data["subject"] = chop($match[1]);
    }
    if(preg_match("/^From:\s.*@(.*)$/i",$buff,$match)){
      $mail_from = chop($match[1]);
    }
    $source .= $buff;
  }

  if($mail_from != ""){
    $end_pos   = strpos($mail_from,">");
    if($end_pos){
      $mail_from = substr($mail_from , 0 , -1);
    }
    $mail_from = preg_replace("/\s\(.*\)/","",$mail_from);
  }else{
    exit(0);
  }

  // Insert data
  if(preg_match("/^Living\sconfirmation\s(.*)$/i",$mail_data["subject"],$m)){
    $mail_data["srv_name"] = $mail_from;
    $mail_data["srv_cd"]   = $m[1];
    $mail_data["mbody"]    = $source;
  } else {
    exit(1);
  }

  $res = $servermanager->addServerLivingLogReceived($mail_data);

  if($res === FALSE){
    for($i=0;$i<3;$i++){  // It retries up to three times at the error.
      // It is delayed 1 second.
      sleep(1);
      if($servermanager->addServerLivingLogReceived($mail_data) !== FALSE){
        exit(0);
      }
    }
  }else{
    exit(0);
  }
  exit(1);
?>