<?php
/*
 * $Id: memoview.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
*/

// include the setup script
include('server_manager.lib.php');
//start the session
session_name(SERVER_MANAGER_SES_NAME);
session_cache_limiter('nocache');
session_start();
// check the session
if($_SESSION[SERVER_MANAGER_SES_NAME]['usr_cd'] == ""){
  header("Content-type: text/plain; charset=UTF-8");
  print "Your access denied.";
  exit;
}
// create servermanager object
$servermanager =& new ServerManager;

if(isset($_POST["sirial"])){
  $sirial    = strip_tags($_POST["sirial"]);
  $mode      = strip_tags($_POST["mode"]);
  $free_memo = strip_tags($_POST["free_memo"]);
  $status    = strip_tags($_POST["status"]);
}else{
  $sirial = strip_tags($_GET["sirial"]);
  $mode   = strip_tags($_GET["mode"]);
  $status = "";
}
// check the parameter
if($sirial == "" || $mode == ""){
  header("Content-type: text/plain; charset=UTF-8");
  print "Invalid parameter";
  exit;
}

$msg = "";
if($status == "update_memo"){
  if(!preg_match("/[^0-9]/",$sirial) && $sirial != ""){
    switch($mode){
      case "T" :
        $table_name = "logs_tripwire";
        break;
      case "L" :
        $table_name = "logs_logwatch";
        break;
      case "C" :
        $table_name = "logs_cron";
        break;
      default :
        header("Content-type: text/plain; charset=UTF-8");
        print "Invalid parameter";
        exit;
    }
    $_query = sprintf("update %s set free_memo = '%s', memo_cd = '%s', memo_date = 'NOW()' where sirial = %s ",
            $table_name,
            pg_escape_string($free_memo),
            pg_escape_string($_SESSION[SERVER_MANAGER_SES_NAME]['usr_cd']),
            pg_escape_string($sirial)
    );
    if($servermanager->sql->query($_query) === FALSE){
      header("Content-type: text/plain; charset=UTF-8");
      print "Database update failed\n\n<<\n$_query\n>>\n";
      exit;
    }else{
      $msg = "Database update succeeded";
    }
  }
}

header("Content-type: text/html; charset=UTF-8");
$data = array();
if(!preg_match("/[^0-9]/",$sirial) && $sirial != ""){
  $data  = $servermanager->getMemoValue($sirial,$mode);
}

?>
<html>
<head>
<title>Server Manager</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<script language="JavaScript">
<!--
function memo_update(){
  var objElement = document.getElementsByTagName("FORM")[0];
  objElement.status.value = "update_memo";
  objElement.action = "memoview.php";
  objElement.method = "post";
  objElement.submit();
}
//-->
</script>
</head>
<body<?php if($msg != ""){echo " onload=\"alert('$msg');window.opener.m_reload();window.close();\"";} ?>>
<form>
<table width="100%" height="100%">
  <tr height="2%">
    <td>
      <?php
        switch($mode){
          case "T" :
            $m = " (TripWire)";
            break;
          case "L" :
            $m = " (LogWatch)";
            break;
          case "C" :
            $m = " (Cron)";
            break;
          default :
            $m = "";
        }
        print $data["srv_name"] . $m;
      ?><br>
    </td>
  </tr>
  <tr>
    <td>
      <textarea name="free_memo" style="width:100%;height:96%"><?php echo $data["free_memo"]; ?></textarea>
    </td>
  </tr>
  <tr height="2%" align="right">
    <td>
      <input type="hidden" name="sirial" value="<?php echo $data["sirial"]; ?>">
      <input type="hidden" name="mode" value="<?php echo $mode; ?>">
      <input type="hidden" name="status">
      <input type="button" value="update" onclick="memo_update();">
      <input type="button" value="close" onclick="window.close();">
    </td>
  </tr>
</table>
</form>
</body>
</html>
