<?php
/*
 * $Id: serverbook.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 */

// include the setup script
include('../libs/server_manager.lib.php');
//start the session
session_name(SERVER_MANAGER_SES_NAME);
session_cache_limiter('nocache');
session_start();
// check the session
if($_SESSION[SERVER_MANAGER_SES_NAME]['usr_cd'] == ""){
  header("Content-type: text/plain; charset=UTF-8");
  print "Your access denied.";
  exit;
}
// class
$user_class = $_SESSION[SERVER_MANAGER_SES_NAME]["user_class"];

header("Content-type: application/xml");
print '<?xml version="1.0" encoding="utf-8"?>';
?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;" >]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lxslt="http://xml.apache.org/xslt" version="1.0">
  <xsl:template match="/">
    <html>
      <head>
        <title><xsl:value-of select="//Header/@title" /></title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="pragma" content="no-cache" />
        <meta http-equiv="cache-control" content="no-cache" />
        <meta equiv="expires" content="0" />
        <link href="css/servermanager.css" type="text/css" rel="stylesheet" />
      </head>
      <body class="fontS">

      <?php if($user_class > 4){ ?>
        <table border="0" class="list">
          <tr class="midasi">
            <th>srv_name</th>
            <th>eth0_ipaddr</th>
            <th>default_gateway</th>
            <th>primary_nameserver</th>
            <th>secondary_nameserver</th>
            <th>eth1_ipaddr</th>
            <th>eth2_ipaddr</th>
            <th>wantLogCheck</th>
            <th>backupSvr</th>
            <th>houryCheck</th>
          </tr>
          <tr class="rec_1">
            <td>
              <form action="index.php" method="post">
                <input type="text" name="srch_srv_name" value="{//Entry/srch_srv_name}" size="20" />
                <input type="hidden" name="status" value="like_srv_name" />
                <input type="submit" value="search" />
              </form>
            </td>
            <td>
              <form action="index.php" method="post">
                <input type="text" name="srch_eth0_ipaddr" value="{//Entry/srch_eth0_ipaddr}" size="20" />
                <input type="hidden" name="status" value="like_eth0_ipaddr" />
                <input type="submit" value="search" />
              </form>
            </td>
            <td>
              <form action="index.php" method="post">
                <input type="text" name="srch_default_gateway" value="{//Entry/srch_default_gateway}" size="20" />
                <input type="hidden" name="status" value="like_default_gateway" />
                <input type="submit" value="search" />
              </form>
            </td>
            <td>
              <form action="index.php" method="post">
                <input type="text" name="srch_primary_nameserver" value="{//Entry/srch_primary_nameserver}" size="20" />
                <input type="hidden" name="status" value="like_primary_nameserver" />
                <input type="submit" value="search" />
              </form>
            </td>
            <td>
              <form action="index.php" method="post">
                <input type="text" name="srch_secondary_nameserver" value="{//Entry/srch_secondary_nameserver}" size="20" />
                <input type="hidden" name="status" value="like_secondary_nameserver" />
                <input type="submit" value="search" />
              </form>
            </td>
            <td>
              <form action="index.php" method="post">
                <input type="text" name="srch_eth1_ipaddr" value="{//Entry/srch_eth1_ipaddr}" size="20" />
                <input type="hidden" name="status" value="like_eth1_ipaddr" />
                <input type="submit" value="search" />
              </form>
            </td>
            <td>
              <form action="index.php" method="post">
                <input type="text" name="srch_eth2_ipaddr" value="{//Entry/srch_eth2_ipaddr}" size="20" />
                <input type="hidden" name="status" value="like_eth2_ipaddr" />
                <input type="submit" value="search" />
              </form>
            </td>
            <td>
              <form action="index.php" method="post">
                <input type="text" name="srch_wantLogCheck" value="{//Entry/srch_watLogCheck}" size="20" />
                <input type="hidden" name="status" value="like_wantLogCheck" />
                <input type="submit" value="search" />
              </form>
            </td>
            <td>
              <form action="index.php" method="post">
                <input type="text" name="srch_backupSvr" value="{//Entry/srch_backupSvr}" size="20" />
                <input type="hidden" name="status" value="like_backupSvr" />
                <input type="submit" value="search" />
              </form>
            </td>
            <td>
              <form action="index.php" method="post">
                <input type="text" name="srch_hourly_flag" value="{//Entry/srch_hourly_flag}" size="20" />
                <input type="hidden" name="status" value="like_hourlyCheck" />
                <input type="submit" value="search" />
              </form>
            </td>
          </tr>
        </table>
      <?php } ?>
      <table border="1" class="list">
        <tr class="midasi">
        <td>
        <table border="0">
          <tr class="midasi">
            <th>Server Entries
            </th>
            <th>
            <form action="index.php" method="post">
              <input type="hidden" name="status" value="view" />
              <input type="submit" value="return to main menu" />
            </form>
            </th>
            <?php if($user_class > 4){ ?>
            <th>
            <form action="index.php" method="post">
              <input type="hidden" name="status" value="add_server" />
              <input type="submit" value="add new serverbook" />
            </form>
            </th>
            <?php } ?>
            <th>
            <form action="index.php" method="post">
              <input type="hidden" name="status" value="view_server" />
              <input type="hidden" name="flg" value="dsp" />
              <input type="submit" value="show all serverbook" />
            </form>
            </th>
            <th>
            <form action="index.php" method="post">
              <input type="hidden" name="status" value="view_server" />
              <input type="submit" value="show regular serverbook" />
            </form>
            </th>
          </tr>
        </table>
        </td></tr>
        <tr><td>
      <form action="index.php" method="post">
        <input type="hidden" name="status" value="lock_server" />
        <table border="1" class="list">
          <tr class="midasi" nowrap="nowrap">
            <td><?php if($user_class > 4){ ?>
              <input type="submit" value="lock" />
                <?php }else{ ?>
                lock
                <?php } ?>
            </td>
            <td>srv_cd</td>
            <td>srv_name</td>
            <td>os</td>
            <td>eth0_ipaddr</td>
            <td>eth0_network</td>
            <td>eth0_netmask</td>
            <td>eth0_broadcast</td>
            <td>default_gateway</td>
            <td>primary_nameserver</td>
            <td>secondary_nameserver</td>
            <td>eth1_ipaddr</td>
            <td>eth1_network</td>
            <td>eth1_netmask</td>
            <td>eth1_broadcast</td>
            <td>eth2_ipaddr</td>
            <td>eth2_network</td>
            <td>eth2_netmask</td>
            <td>eth2_broadcast</td>
            <td>wantLogCheck</td>
            <td>backupSvr</td>
            <td>hourlyCheck</td>
            <td>usr_cd</td>
            <td>last_date</td>
          </tr>
          <xsl:choose>
            <xsl:when test="count(//@srv_cd) != 0">
              <xsl:apply-templates select="//Records" />
            </xsl:when>
            <xsl:otherwise>
              <td colspan="22">No record</td>
            </xsl:otherwise>
          </xsl:choose>
        </table>
      </form>
      </td>
      </tr>
    </table>
    </body>
  </html>
</xsl:template>

  <xsl:template match="//Records">
    <xsl:variable name="srv_cd" select="@srv_cd" />
    <tr nowrap="nowrap">
    <xsl:choose>
      <xsl:when test="position() mod 2 = 0">
        <xsl:attribute name="class">rec_2</xsl:attribute>
      </xsl:when>
      <xsl:otherwise>
        <xsl:attribute name="class">rec_1</xsl:attribute>
      </xsl:otherwise>
    </xsl:choose>

      <td width="5%">
        <input type="checkbox" name="lock_flag[]" value="{@srv_cd}">
          <xsl:if test="lock_flag = 't'">
            <xsl:attribute name="checked">checked</xsl:attribute>
          </xsl:if>
        </input>
      </td>
      <td align="right">
        <?php if($user_class > 4){ ?>
        <a href="index.php?status=edit_server&amp;srv_cd={@srv_cd}"><xsl:value-of select="@srv_cd" /></a>
        <?php }else{ ?>
        <xsl:value-of select="@srv_cd" />
        <?php } ?>
      </td>
      <td nowrap="nowrap">&nbsp;<xsl:value-of select="srv_name" /></td>
      <td nowrap="nowrap">&nbsp;<xsl:value-of select="os" /></td>
      <td>&nbsp;<xsl:value-of select="eth0_ipaddr" /></td>
      <td>&nbsp;<xsl:value-of select="eth0_network" /></td>
      <td>&nbsp;<xsl:value-of select="eth0_netmask" /></td>
      <td>&nbsp;<xsl:value-of select="eth0_broadcast" /></td>
      <td>&nbsp;<xsl:value-of select="default_gateway" /></td>
      <td>&nbsp;<xsl:value-of select="primary_nameserver" /></td>
      <td>&nbsp;<xsl:value-of select="secondary_nameserver" /></td>
      <td>&nbsp;<xsl:value-of select="eth1_ipaddr" /></td>
      <td>&nbsp;<xsl:value-of select="eth1_network" /></td>
      <td>&nbsp;<xsl:value-of select="eth1_netmask" /></td>
      <td>&nbsp;<xsl:value-of select="eth1_broadcast" /></td>
      <td>&nbsp;<xsl:value-of select="eth2_ipaddr" /></td>
      <td>&nbsp;<xsl:value-of select="eth2_network" /></td>
      <td>&nbsp;<xsl:value-of select="eth2_netmask" /></td>
      <td>&nbsp;<xsl:value-of select="eth2_broadcast" /></td>
      <td>&nbsp;<xsl:value-of select="wantlogcheck" /></td>
      <td>&nbsp;<xsl:value-of select="backupsvr" /></td>
      <td>&nbsp;<xsl:value-of select="hourly_flag" /></td>
      <td>&nbsp;<xsl:value-of select="usr_cd" /></td>
      <td nowrap="nowrap">&nbsp;<xsl:value-of select="last_date" /></td>
    </tr>
  </xsl:template>
</xsl:stylesheet>
