#!/usr/local/bin/php
<?php
/*
 * $Id: songduanxin.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 *
 * Server Manager by ADCOOP
 * Mail Sending processing for Down Server Report
 */
// include the setup script
include('public_html/libs/server_manager.lib.php');

// sending mail subject
$mail_date = date('Y-m-d H');
define('MAIL_SUBJECT',"DownSrvReport(" . $mail_date . ")");
//html switch
define('HTML_OUT_SW',1);
// report header
define('TEXT_REPORT_HEADER',"Down Servers\n");
define('HTML_REPORT_HEADER',"Down Servers<br>");

// create servermanager object
$servermanager =& new ServerManager;

/*
 * Confirming the operation
 * /usr/local/bin/php songduanxin.php
*/

  $data = $servermanager->makeDeadSrvReport($mail_date);

  if($data === FALSE){
    exit(1);
  }elseif(count($data) > 0){
    $text_body = TEXT_REPORT_HEADER;
    if(HTML_OUT_SW){
      $html_body = "<html><body>".HTML_REPORT_HEADER."<hr>";
    }
    foreach($data as $k=>$v){
      $text_body .= $v["srv_name"]."\n";
      $text_body .= $v["eth0_ipaddr"]."\n";
      if($v["sta"] == "over"){
        $text_body .= $v["cpu"]."\n";
        $text_body .= $v["mem"]."\n";
      }
      if(HTML_OUT_SW){
        if($v["sta"] == "over"){
          $html_body .= "<font color=\"blue\">".$v["srv_name"]."</font><br>\n";
        }else{
          $html_body .= "<font color=\"red\">".$v["srv_name"]."</font><br>\n";
        }
        $html_body .= $v["eth0_ipaddr"]."\n";
        if($v["sta"] == "over"){
          $html_body .= "<br>".$v["cpu"]."<br>\n";
          $html_body .= $v["mem"]."\n";
        }
        $html_body .= "<hr>";
      }
    }
    if(HTML_OUT_SW){
      $html_body .= "</body></html>\n";
    }
    if(HTML_OUT_SW){
      $boundary = "----=_NextPart_".uniqid(rand(),1);
      $subject  = mb_encode_mimeheader(mb_convert_encoding(MAIL_SUBJECT, "JIS", "auto"), "JIS");
      $mp = popen("/usr/sbin/sendmail -f ".FROM_ADDRESS." ".SEND_MAIL_ADDRESS, "w");
      // mail header
      fputs($mp, "MIME-Version: 1.0\n");
      fputs($mp, "Content-Type: Multipart/alternative; boundary=\"$boundary\"\n");
      fputs($mp, "From: " .mb_encode_mimeheader("Server Manager") ."<" . FROM_ADDRESS .">\n");
      fputs($mp, "To: ".SEND_MAIL_ADDRESS."\n");
      fputs($mp, "Subject: ".MAIL_SUBJECT."\n");
      // mail body
      fputs($mp, "--$boundary\n");
      fputs($mp, "Content-Type: text/plain; charset=\"ISO-2022-JP\"\n");
      fputs($mp, "\n");
      $text_body = mb_convert_encoding($text_body,"JIS","auto");;
      fputs($mp, "$text_body\n");
      fputs($mp, "--$boundary\n");
      fputs($mp, "Content-Type: text/html; charset=iso-2022-jp\n");
      fputs($mp, "Content-Transfer-Encoding: 7bit\n");
      fputs($mp, "\n");
      $html_body = mb_convert_encoding($html_body,"JIS","auto");;
      fputs($mp, "$html_body\n");
      fputs($mp, "\n");
      fputs($mp, "--$boundary" . "--\n");
      pclose($mp);
    }else{
      $header  = "Content-Type: text/plain; charset=ISO-2022-JP\n";
      $header .= "From: " .mb_encode_mimeheader("Server Manager") ."<" . FROM_ADDRESS .">\n";
      $header .= "To: ".SEND_MAIL_ADDRESS."\n";
      $header .= "MIME-Version: 1.0\r\n";
      $header .= "Subject: ".MAIL_SUBJECT."";
      @mail(SEND_MAIL_ADDRESS,MAIL_SUBJECT,$text_body,$header);
    }
  }
  exit(0);
?>