<?php
/*
 * $Id: index.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 *
 * Server Manager by ADCOOP
 */

// include the setup script
include('libs/server_manager.lib.php');

  ini_set('output_handler','none');
  ini_set('default_charset','UTF-8');
  ini_set('mbstring.language','neutral');
  ini_set('mbstring.internal_encoding','UTF-8');
  ini_set('mbstring.http_input','pass');
  ini_set('mbstring.http_output','pass');
  ini_set('mbstring.encoding_translation','On');
  ini_set('mbstring.detect_order','auto');
  ini_set('mbstring.substitute_character','none');

//start the session
session_name(SERVER_MANAGER_SES_NAME);
//session_cache_limiter('nocache');
session_start();
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
// HTTP/1.1
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0, max-age=0", false);
// HTTP/1.0
header("Pragma: no-cache");

// create servermanager object
$servermanager =& new ServerManager;
$status = "";
/**
* check the Session
*/
if ($_SESSION[SERVER_MANAGER_SES_NAME]['usr_cd'] == "") {
  // attest the servermanager
  $servermanager->isValidLogin($_POST);
} elseif ($_SESSION[SERVER_MANAGER_SES_NAME]['user_class'] < 1 ) {
  // attest the servermanager
  $servermanager->isValidLogin($_POST);
} else {
  //set the current status
  if(isset($_GET['status'])){
    $status = $_GET['status'];
  }
  if(isset($_POST['status'])){
    $status = $_POST['status'];
  }

  switch($status) {
    case 'view':
      // display the servermanager main manu
      $servermanager->fncDisplayWithoutXml('main_menu.php');
      break;
    case 'view_server':
      // display serverbooks
      $servermanager->displayServerBook($servermanager->getServerEntries($_POST));
      break;
    case 'like_srv_name':
      // search servername for the serverbook
      $servermanager->displayServerBook($servermanager->getServerSearchEntries($_POST));
      break;
    case 'like_eth0_ipaddr':
      // search eth0 ipaddress for the serverbook
      $servermanager->displayServerBook($servermanager->getServerSearchEntries($_POST));
      break;
    case 'like_default_gateway':
      // search default gateway for the serverbook
      $servermanager->displayServerBook($servermanager->getServerSearchEntries($_POST));
      break;
    case 'like_primary_nameserver':
      // search primary nameserver for the serverbook
      $servermanager->displayServerBook($servermanager->getServerSearchEntries($_POST));
      break;
    case 'like_secondary_nameserver':
      // search secondary nameserver for the serverbook
      $servermanager->displayServerBook($servermanager->getServerSearchEntries($_POST));
      break;
    case 'like_eth1_ipaddr':
      // search eth1 ipaddress for the serverbook
      $servermanager->displayServerBook($servermanager->getServerSearchEntries($_POST));
      break;
    case 'like_eth2_ipaddr':
      // search eth2 ipaddress for the serverbook
      $servermanager->displayServerBook($servermanager->getServerSearchEntries($_POST));
      break;
    case 'like_wantLogCheck':
      // search logwatch checked for the serverbook
      $servermanager->displayServerBook($servermanager->getServerSearchEntries($_POST));
      break;
    case 'like_backupSvr':
      // search backup checked for the serverbook
      $servermanager->displayServerBook($servermanager->getServerSearchEntries($_POST));
      break;
    case 'like_hourlyCheck':
      // search houly checked for the serverbook
      $servermanager->displayServerBook($servermanager->getServerSearchEntries($_POST));
      break;
   case 'lock_server':
      // lock status update the serverbook
      $lock_flag = $_POST["lock_flag"];
      $flg       = addslashes(chop($_POST["flg"]));
      $servermanager->lockServerEntriesAF($flg,$_POST);
      if(is_array($lock_flag)){
        foreach($lock_flag as $k=>$v){
          $servermanager->lockServerEntries($flg,$v);
        }
      }elseif($lock_flag != ""){
        $servermanager->lockServerEntries($flg,$lock_flag);
      }
      $servermanager->displayServerBook($servermanager->getServerEntries($_GET));
      break;
    case 'add_server':
      // adding a serverboook entry
      $servermanager->displayServerForm();
      break;
    case 'submit_server':
      // submitting a serverbook entry
      $servermanager->mungeServerFormData($_POST);
      if($servermanager->isValidServerForm($_POST)) {
        if($servermanager->addServerEntry($_POST, $servermanager->getMaxServerCD())){
          $servermanager->displayServerBook($servermanager->getServerEntries());
        }else{
          $servermanager->displayServerForm($_POST);
        }
      } else {
        $servermanager->displayServerForm($_POST);
      }
      break;
    case 'edit_server':
      // display a server entry form
      $servermanager->displayServerEditForm($servermanager->getOneServerEntriesAll($_GET));
      break;
    case 'delete_server':
      // delete a servermanager entry       
      if($servermanager->isServerInstallLog($_POST)){
        if($servermanager->deleteServerEntry($_POST)){
          $servermanager->displayServerBook($servermanager->getServerEntries());
        }else{
          $servermanager->displayDeleteServerFailed($_POST);
        }
      } else {
        $servermanager->displayDeleteServerFailed($_POST);
      }
      break;
    case 'confirm_server':
      // confirming a servermanager entry
      $servermanager->mungeServerFormData($_POST);
      if($servermanager->isValidServerForm($_POST)) {
        if($servermanager->confirmServerEntry($_POST)){
          $servermanager->displayServerEditForm($servermanager->getOneServerEntriesAll($_POST));
        }else{
          $servermanager->displayServerEditForm($servermanager->getOneServerEntriesAll($_POST));
        }
      } else {
        $servermanager->displayServerEditForm($servermanager->getOneServerEntriesAll($_POST));
      }
      break;
    case 'view_user_server':
      // viewing the userbook
      $servermanager->displayServerUserBook($servermanager->getServerEntries($_POST));
      break;
    case 'lock_server_user':
      // lock status update the server user
      $lock_flag = $_POST["lock_flag"];
      $srv_cd    = $_POST["srv_cd"];
      $servermanager->lockServerUserEntryAF($srv_cd,$_POST);
      if(is_array($lock_flag)){
        foreach($lock_flag as $k=>$v){
          $servermanager->lockServerUserEntry($v);
        }
      }elseif($lock_flag != ""){
        $servermanager->lockServerUserEntry($lock_flag);
      }
      $xml  = "";
      $buff[0] = $_POST;
      $xml .= $servermanager->fncArray2Xml($buff,"Entry");
      $xml .= $servermanager->getOneServerEntries($_POST);
      $xml .= $servermanager->getServerUserList($_POST);
      $servermanager->displayServerUserList($xml);
      break;
    case 'view_server_users':
      // viewing the server users
      $xml  = "";
      $buff[0] = $_GET;
      $xml .= $servermanager->fncArray2Xml($buff,"Entry");
      $xml .= $servermanager->getOneServerEntries($_GET);
      $xml .= $servermanager->getServerUserList($_GET);
      $servermanager->displayServerUserList($xml);
      break;
    case 'add_server_user':
      // display the install log adding form
      $xml  = "";
      $buff[0] = $_POST;
      $xml .= $servermanager->fncArray2Xml($buff,"Entry");
      $xml .= $servermanager->getOneServerEntries($_POST);
      $servermanager->displayServerUserAddForm($xml);
      break;
    case 'submit_server_user':
      // submitting a server user 
      $servermanager->mungeServerUserFormData($_POST);
      if($servermanager->isValidServerUserForm($_POST)) {
         $servermanager->addServerUserEntry($_POST,$servermanager->getMaxServerUser());
         $xml  = "";
         $buff[0] = $_POST;
         $xml .= $servermanager->fncArray2Xml($buff,"Entry");
         $xml .= $servermanager->getOneServerEntries($_POST);
         $xml .= $servermanager->getServerUserList($_POST);
         $servermanager->displayServerUserList($xml);
      } else {
        $xml  = "";
        $buff[0] = $_POST;
        $xml .= $servermanager->fncArray2Xml($buff,"Entry");
        $xml .= $servermanager->getOneServerEntries($_POST);
        $servermanager->displayServerUserAddForm($xml);
      }
      break;
    case 'edit_server_user':
      // display the server users entry form
      $xml  = "";
      $xml .= $servermanager->getServerUserEntries($_GET);
      $servermanager->displayServerUserEditForm($xml);
      break;
    case 'confirm_server_user':
      // submitting a server user 
      $servermanager->mungeServerUserFormData($_POST);
      if($servermanager->isValidServerUserForm($_POST)) {
        $servermanager->confirmServerUserEntry($_POST);
        $xml  = "";
        $buff[0] = $_POST;
        $xml .= $servermanager->fncArray2Xml($buff,"Entry");
        $xml .= $servermanager->getOneServerEntries($_POST);
        $xml .= $servermanager->getServerUserList($_POST);
        $servermanager->displayServerUserList($xml);
      } else {
        $xml  = "";
        $buff[0] = $_POST;
        $xml .= $servermanager->fncArray2Xml($buff,"Entry");
        $xml .= $servermanager->getServerUserEntries($_GET);
        $servermanager->displayServerUserEditForm($xml);
      }
      break;
    case 'delete_server_user':
      // delete a server user       
      $servermanager->deleteServerUserEntry($_POST);
      $xml  = "";
      $buff[0] = $_POST;
      $xml .= $servermanager->fncArray2Xml($buff,"Entry");
      $xml .= $servermanager->getOneServerEntries($_POST);
      $xml .= $servermanager->getServerUserList($_POST);
      $servermanager->displayServerUserList($xml);
      break;
    case 'set_date':
      // display the serverbook for daily logs
      $servermanager->setDateForDailySever();
      break;
    case 'view_daily_tripwire':
      // display the serverbook daily TripWire logs
      $servermanager->displayDailyTripwireBook($servermanager->getDailyServerLogs($_POST,"T"));
      break;
    case 'view_daily_logwatch':
      // diaplay the serverbook daily LogWatch logs
      $servermanager->displayDailyLogwatchBook($servermanager->getDailyServerLogs($_POST,"L"));
      break;
    case 'view_daily_cron':
      // display the serverbook daily Cron logs
      $servermanager->displayDailyCronBook($servermanager->getDailyServerLogs($_POST,"C"));
      break;
    case 'view_daily_cron_fillter':
      // viewing the serverbook daily Cron logs
      $servermanager->displayDailyCronBook($servermanager->getDailyServerLogs($_POST,"CF"));
      break;
    case 'view_living_mail':
      // display the serverbook Living confirmation logs
      $servermanager->displayLivingMailBook($servermanager->getDailyLivingMail($_POST));
      break;
    case 'view_install_server':
      // display the serverbook for install logs
      $servermanager->displayInstallServerBook($servermanager->getServerEntries($_POST));
      break;
    case 'view_install_logs':
      // display the install logs 
      $xml  = "";
      $xml .= $servermanager->getOneServerEntries($_GET);
      $xml .= $servermanager->getServerInstallLogs($_GET);
      $servermanager->displayInstallLogs($xml);
      break;
    case 'add_install_logs':
      // display the install log adding form
      $xml  = "";
      $xml .= $servermanager->getOneServerEntries($_GET);
      $buff[0] = $_GET;
      $xml .= $servermanager->fncArray2Xml($buff,"Entry");
      $servermanager->displayInstallLogAddForm($xml);
      break;
   case 'lock_install_logs':
      // lock status update the install log
      $lock_flag = $_POST["lock_flag"];
      $srv_cd    = $_POST["srv_cd"];
      $servermanager->lockServerInstallLogEntryAF($srv_cd);
      if(is_array($lock_flag)){
        foreach($lock_flag as $k=>$v){
          $servermanager->lockServerInstallLogEntry($v);
        }
      }elseif($lock_flag != ""){
        $servermanager->lockServerInstallLogEntry($lock_flag);
      }
      $xml  = "";
      $xml .= $servermanager->getOneServerEntries($_POST);
      $xml .= $servermanager->getServerInstallLogs($_POST);
      $servermanager->displayInstallLogs($xml);
      break;
    case 'submit_install_log':
      // submitting a server install logs 
      $servermanager->mungeServerInstallFormData($_POST);
      if($servermanager->isValidInstallServerLogForm($_POST)) {
        $servermanager->addServerInstallLogEntry($_POST, $servermanager->getMaxMemoCD());
        $xml  = "";
        $xml .= $servermanager->getOneServerEntries($_POST);
        $xml .= $servermanager->getServerInstallLogs($_POST);
        $servermanager->displayInstallLogs($xml);
      } else {
        $xml  = "";
        $xml .= $servermanager->getOneServerEntries($_POST);
        $buff[0] = $_POST;
        $xml .= $servermanager->fncArray2Xml($buff,"Entry");
        $servermanager->displayInstallLogAddForm($xml);
      }
      break;
    case 'edit_install_logs':
      // display the install log entry form
      $xml  = "";
      $xml .= $servermanager->getOneServerEntries($_GET);
      $xml .= $servermanager->getInstallLogEntries($_GET);
      $servermanager->displayInstallLogEditForm($xml);
      break;
    case 'confirm_install_log':
      // confirming a server install logs 
      $servermanager->mungeServerInstallFormData($_POST);
      if($servermanager->isValidInstallServerLogForm($_POST)) {
        $servermanager->confirmServerInstallLogEntry($_POST);
        $xml  = "";
        $xml .= $servermanager->getOneServerEntries($_POST);
        $xml .= $servermanager->getServerInstallLogs($_POST);
        $servermanager->displayInstallLogs($xml);
      } else {
        $xml  = "";
        $xml .= $servermanager->getOneServerEntries($_POST);
        $xml .= $servermanager->getInstallLogEntries($_POST);
        $servermanager->displayInstallLogEditForm($xml);
      }
      break;
    case 'delete_install_log':
      // delete a server install log       
      $servermanager->deleteServerInstallLogEntry($_POST);
      $xml  = "";
      $xml .= $servermanager->getOneServerEntries($_POST);
      $xml .= $servermanager->getServerInstallLogs($_POST);
      $servermanager->displayInstallLogs($xml);
      break;
    case 'view_install_router':
      // display the routerbook for install logs
      $servermanager->displayInstallRouterBook($servermanager->getRouterEntries($_GET));
      break;
    case 'view_router_logs':
      $_SESSION[SERVER_MANAGER_SES_NAME]["router"]["mode"] = "";
      // display the router install logs 
      $xml  = "";
      $xml .= $servermanager->getOneServerEntries($_GET);
      $xml .= $servermanager->getRouterInstallLogs($_GET);
      $servermanager->displayRouterInstallLogs($xml);
      break;
    case 'submit_router_install_log':
      // submitting a router install logs 
      if(!is_uploaded_file($_FILES["attache_file"]["tmp_name"])){
        $_SESSION[SERVER_MANAGER_SES_NAME]["error"] = 'invalid file type';
        $buff[0] = $_POST;
        $xml  = "";
        $xml .= $servermanager->getOneServerEntries($_POST);
        $xml .= $servermanager->getRouterInstallLogs($_POST);
        $servermanager->displayRouterInstallLogs($xml);
      }
      if($_FILES["attache_file"]["size"] > 200 * 1024 * 1024){
        $_SESSION[SERVER_MANAGER_SES_NAME]["error"] = "file size max. 200MB";
      }
      $servermanager->mungeRouterInstallFormData($_POST);
      if($servermanager->isValidInstallRouterLogForm($_POST)) {
        $servermanager->addRouterInstallLogEntry($_POST,$_FILES, $servermanager->getRouterMaxMemoCD());
        $xml  = "";
        $xml .= $servermanager->getOneServerEntries($_POST);
        $xml .= $servermanager->getRouterInstallLogs($_POST);
        $servermanager->displayRouterInstallLogs($xml);
      } else {
        $buff[0] = $_POST;
        $xml  = "";
        $xml .= $servermanager->getOneServerEntries($_POST);
        $xml .= $servermanager->getRouterInstallLogs($_POST);
        $servermanager->displayRouterInstallLogs($xml);
      }
      break;
    case 'confirm_router_install_log':
      // confirming a router install logs 
      if(is_uploaded_file($_FILES["attache_file"]["tmp_name"])){
        $_SESSION[SERVER_MANAGER_SES_NAME]["router"]["attache"] = true;
      }else{
        $_SESSION[SERVER_MANAGER_SES_NAME]["router"]["attache"] = false;
      }
      $servermanager->mungeRouterInstallFormData($_POST);
      if($servermanager->isValidInstallRouterLogForm($_POST)) {
        $servermanager->confirmRouterInstallLogEntry($_POST,$_FILES);
        $_SESSION[SERVER_MANAGER_SES_NAME]["router"]["mode"] = "";
        $xml  = "";
        $xml .= $servermanager->getOneServerEntries($_POST);
        $xml .= $servermanager->getRouterInstallLogs($_POST);
        $servermanager->displayRouterInstallLogs($xml);
        break;
      } else {
        $xml  = "";
        $xml .= $servermanager->getOneServerEntries($_POST);
        $xml .= $servermanager->getRouterInstallLogs($_POST);
        $xml .= $servermanager->getOneRouterInstallLog($_POST);
        $servermanager->displayRouterInstallLogs($xml);
      }
      break;
    case 'edit_router_install_log':
      // edit a router install logs
      $xml  = "";
      $xml .= $servermanager->getOneServerEntries($_POST);
      $xml .= $servermanager->getRouterInstallLogs($_POST);
      $xml .= $servermanager->getOneRouterInstallLog($_POST);
      $servermanager->displayRouterInstallLogs($xml);
      break;
    case 'delete_router_install_log':
      // delete a router install log       
      $servermanager->deleteRouterInstallLogEntry($_POST);
      $xml  = "";
      $xml .= $servermanager->getOneServerEntries($_POST);
      $xml .= $servermanager->getRouterInstallLogs($_POST);
      $servermanager->displayRouterInstallLogs($xml);
      break;
    case 'lock_router_install_logs':
      $_SESSION[SERVER_MANAGER_SES_NAME]["router"]["mode"] = "";
      // lock status update the router install log
      $lock_flag = $_POST["lock_flag"];
      $srv_cd    = $_POST["srv_cd"];
      $servermanager->lockRouterInstallLogEntryAF($srv_cd);
      if(is_array($lock_flag)){
        foreach($lock_flag as $k=>$v){
          $servermanager->lockRouterInstallLogEntry($v);
        }
      }elseif($lock_flag != ""){
        $servermanager->lockRouterInstallLogEntry($lock_flag);
      }
      $xml  = "";
      $xml .= $servermanager->getOneServerEntries($_POST);
      $xml .= $servermanager->getRouterInstallLogs($_POST);
      $servermanager->displayRouterInstallLogs($xml);
      break;
    case 'search_install_logs':
      // search a install logs       
      $xml  = "";
      $buff[0] = $_POST;
      $xml .= $servermanager->fncArray2Xml($buff,"Entry");
      $xml .= $servermanager->getSrvName($_POST);
      $servermanager->setSearchForInstallLogs($xml);
      break;
    case 'show_install_log_list':
      // search a install logs       
      $servermanager->mungeSearchInstallLogsFormData($_POST);
      if($servermanager->isValidSearchInstallLogsTitle($_POST)) {
        $xml  = "";
        $buff[0] = $_POST;
        $xml .= $servermanager->fncArray2Xml($buff,"Entry");
        $xml .= $servermanager->getSearchInstallLogs($_POST);
        $servermanager->displaySearchForInstallLogLists($xml);
      } else {
        $xml  = "";
        $buff[0] = $_POST;
        $xml .= $servermanager->fncArray2Xml($buff,"Entry");
        $xml .= $servermanager->getSrvName($_POST);
        $servermanager->setSearchForInstallLogs($xml);
      }
      break;
    case 'show_install_log_memo_list':
      // search a install logs       
      $servermanager->mungeSearchInstallLogsFormData($_POST);
      if($servermanager->isValidSearchInstallLogsMemo($_POST)) {
        $xml  = "";
        $buff[0] = $_POST;
        $xml .= $servermanager->fncArray2Xml($buff,"Entry");
        $xml .= $servermanager->getSearchInstallMemos($_POST);
        $servermanager->displaySearchForInstallLogLists($xml);
      } else {
        $xml  = "";
        $buff[0] = $_POST;
        $xml .= $servermanager->fncArray2Xml($buff,"Entry");
        $xml .= $servermanager->getSrvName($_POST);
        $servermanager->setSearchForInstallLogs($xml);
      }
      break;
    case 'show_server_log_new_list':
      // search for daily logs
      $servermanager->mungeSearchServerLogsFormData($_POST);
      if($servermanager->isValidSearchServerLogsNew($_POST)) {
        $xml  = "";
        $buff[0] = $_POST;
        $xml .= $servermanager->fncArray2Xml($buff,"Entry");
        $xml .= $servermanager->getSearchServerLogsNew($_POST);
        $servermanager->displaySearchForServerLogLists("new",$xml);
      } else {
        $xml  = "";
        $buff[0] = $_POST;
        $xml .= $servermanager->fncArray2Xml($buff,"Entry");
        $xml .= $servermanager->getSrvName($_POST);
        $servermanager->setSearchForInstallLogs($xml);
      }
      break;
    case 'show_install_log_title':
      // display a install logs      
      $xml  = "";
      $xml .= $servermanager->getInstallLogEntries($_POST);
      $servermanager->displaySearchInstallLogEditForm($xml);
      break;
    case 'show_install_log_memo':
      // display a install logs      
      $xml  = "";
      $xml .= $servermanager->getInstallLogEntries($_POST);
      $servermanager->displaySearchInstallLogEditForm($xml);
      break;
    case 'show_server_log_new':
      // display a daily logs      
      $xml  = "";
      $xml .= $servermanager->getNewServerLogEntries($_POST);
      $servermanager->displaySearchServerLogEditForm("new",$xml);
      break;
    case 'view_account':
      // display the account
      $xml  = "";
      $xml .= $servermanager->getAccountAll($_GET);
      $servermanager->displayAccountAll($xml);
      break;
    case 'add_account':
      // display add the account form
      $xml  = "";
      $buff[0] = $_POST;
      $xml .= $servermanager->fncArray2Xml($buff,"Entry");
      $xml .= $servermanager->getUserClass();
      $servermanager->displayAccountAddForm($xml);
      break;
    case 'submit_add_account':
      // add the account
      $servermanager->mungeAccountFormData($_POST);
      if($servermanager->isValidAccountForm($_POST)) {
        if($servermanager->addAccountEntry($_POST, $servermanager->getMaxAccount())){
          $xml  = "";
          $xml .= $servermanager->getAccountAll($_GET);
          $servermanager->displayAccountAll($xml);
        }else{
          $xml  = "";
          $buff[0] = $_POST;
          $xml .= $servermanager->fncArray2Xml($buff,"Entry");
          $xml .= $servermanager->getUserClass();
          $servermanager->displayAccountAddForm($xml);
        }
      } else {
        $xml  = "";
        $buff[0] = $_POST;
        $xml .= $servermanager->fncArray2Xml($buff,"Entry");
        $xml .= $servermanager->getUserClass();
        $servermanager->displayAccountAddForm($xml);
      }
      break;
    case 'edit_account':
      // display edit the account form
      $xml  = "";
      $xml .= $servermanager->getUserClassS($_GET);
      $xml .= $servermanager->getOneAccountEntries($_GET);
      $servermanager->displayAccountEditForm($xml);
      break;
    case 'submit_edit_account':
      // submit edit the account
      $servermanager->mungeAccountFormData($_POST);
      if($servermanager->isValidAccountEditForm($_POST)) {
        if($servermanager->editAccountEntry($_POST)){
          $xml  = "";
          $xml .= $servermanager->getAccountAll($_POST);
          $servermanager->displayAccountAll($xml);
        }else{
          $xml  = "";
          $buff[0] = $_POST;
          $xml .= $servermanager->fncArray2Xml($buff,"Entry");
          $xml .= $servermanager->getUserClassS($_POST);
          $xml .= $servermanager->getOneAccountEntries($_POST);
          $servermanager->displayAccountEditForm($xml);
        }
      } else {
        // edit the account
        $xml  = "";
        $buff[0] = $_POST;
        $xml .= $servermanager->fncArray2Xml($buff,"Entry");
        $xml .= $servermanager->getUserClassS($_POST);
        $xml .= $servermanager->getOneAccountEntries($_POST);
        $servermanager->displayAccountEditForm($xml);
      }
      break;
    case 'delete_account':
      // delete a account
      if($servermanager->isUserInstallLog($_POST)){
        if($servermanager->deleteAccount($_POST)){
          $xml  = "";
          $xml .= $servermanager->getAccountAll($_POST);
          $servermanager->displayAccountAll($xml);
        }else{
          $xml  = "";
          $buff[0] = $_POST;
          $xml .= $servermanager->fncArray2Xml($buff,"Entry");
          $xml .= $servermanager->getUserClassS($_POST);
          $xml .= $servermanager->getOneAccountEntries($_POST);
          $servermanager->displayAccountEditForm($xml);
        }
      }else{
        $xml  = "";
        $buff[0] = $_POST;
        $xml .= $servermanager->fncArray2Xml($buff,"Entry");
        $servermanager->displayDeleteUserFailed($xml);
      }
      break;
    case 'logout':
    default:
      // logout from the servermanager
      session_destroy();
      $servermanager->fncDisplayWithoutXml("logout_form.php");
      $servermanager = null;
      break;
  }
}
?>
