<?php
/*
 * $Id: account_all.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 *
 */
// include the setup script
include('../libs/server_manager.lib.php');
//start the session
session_name(SERVER_MANAGER_SES_NAME);
session_cache_limiter('nocache');
session_start();
// check the session
if($_SESSION[SERVER_MANAGER_SES_NAME]['usr_cd'] == ""){
  header("Content-type: text/plain; charset=UTF-8");
  print "Your access denied.";
  exit;
}

header("Content-type: application/xml");
print '<?xml version="1.0" encoding="utf-8"?>';
?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;" >]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lxslt="http://xml.apache.org/xslt" version="1.0">
  <xsl:template match="/">
    <html>
      <head>
        <title><xsl:value-of select="//Header/@title" /></title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="pragma" content="no-cache" />
        <meta http-equiv="cache-control" content="no-cache" />
        <meta equiv="expires" content="0" />
        <link href="css/servermanager.css" type="text/css" rel="stylesheet" />
      </head>
      <body class="fontM">
        <table border="1" class="list">
          <tr class="midasi">
            <th colspan="9">Account for <?php echo SERVER_MANAGER_TITLE_NAME; ?>
              [<a href="index.php?status=view">return to main menu</a>]
              [<a href="index.php?status=add_account">add new account</a>]
            </th>
          </tr>
          <tr class="rec_0">
            <td>usr_cd</td>
            <td>class_cd</td>
            <td>class_name</td>
            <td>class_exp</td>
            <td>username</td>
            <td>usr_name</td>
            <td>mail_addr</td>
            <td>last_cd</td>
            <td>last_date</td>
          </tr>
          <xsl:choose>
            <xsl:when test="count(//Records/@usr_cd) != 0">
              <xsl:apply-templates select="//Records" />
            </xsl:when>
            <xsl:otherwise>
              <td colspan="9">No record</td>
            </xsl:otherwise>
          </xsl:choose>
        </table>
      </body>
    </html>
  </xsl:template>
  <xsl:template match="Records">
    <tr nowrap="nowrap">
    <xsl:choose>
      <xsl:when test="position() mod 2 = 0">
        <xsl:attribute name="class">rec_2</xsl:attribute>
      </xsl:when>
      <xsl:otherwise>
        <xsl:attribute name="class">rec_1</xsl:attribute>
      </xsl:otherwise>
    </xsl:choose>
      <td align="right"><a href="index.php?status=edit_account&amp;usr_cd={@usr_cd}"><xsl:value-of select="@usr_cd" /></a></td>
      <td><xsl:value-of select="class_cd" /></td>
      <td><xsl:value-of select="class_name" /></td>
      <td><xsl:value-of select="class_exp" /></td>
      <td><xsl:value-of select="username" /></td>
      <td><xsl:value-of select="usr_name" /></td>
      <td><xsl:value-of select="mail_addr" /></td>
      <td><xsl:value-of select="last_cd" /></td>
      <td><xsl:value-of select="last_date" /></td>
    </tr>
  </xsl:template>
</xsl:stylesheet>
