<?php
/*
 * $Id: edit_server_install_log_form.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 */

// include the setup script
include('../libs/server_manager.lib.php');
//start the session
session_name(SERVER_MANAGER_SES_NAME);
session_cache_limiter('nocache');
session_start();
// check the session
if($_SESSION[SERVER_MANAGER_SES_NAME]['usr_cd'] == ""){
  header("Content-type: text/plain; charset=UTF-8");
  print "Your access denied.";
  exit;
}
// class
$user_class = $_SESSION[SERVER_MANAGER_SES_NAME]["user_class"];
// error messages
$error      = $_SESSION[SERVER_MANAGER_SES_NAME]["error"];

header("Content-type: application/xml");
print '<?xml version="1.0" encoding="utf-8"?>';
?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;" >]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lxslt="http://xml.apache.org/xslt" version="1.0">
  <xsl:template match="/">
    <html>
      <head>
        <title><xsl:value-of select="//Header/@title" /></title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="pragma" content="no-cache" />
        <meta http-equiv="cache-control" content="no-cache" />
        <meta equiv="expires" content="0" />
        <link href="css/servermanager.css" type="text/css" rel="stylesheet" />
      </head>
      <body class="fontS">
<?php
  require_once("server_info.php");
?>
        <form action="index.php" method="post">
          <table border="1">
            <?php if($error != ""){ ?>
            <tr>
              <td bgcolor="yellow" colspan="2">
                <?php if($error == "title"){ ?>
                  You must supply a title.
                <?php }elseif($error == "memo"){ ?>
                  You must supply a memo.
                <?php } ?>
              </td>
            </tr>
            <?php } ?>
            <tr>
              <td>reg_date:</td>
              <td><xsl:value-of select="//Records/reg_date" /></td>
              <td>title:</td>
              <td><input type="text" name="title" value="{//Records/title}" size="200" /></td>
            </tr>
            <tr>
              <td colspan="4" align="center">memo</td>
            </tr>
            <tr>
              <td colspan="4" align="center"><textarea name="memo" cols="120" rows="35"><xsl:value-of select="//Records/memo" /></textarea></td>
            </tr>
            <tr>
              <td colspan="4" align="center">
                <input type="hidden" name="status" value="confirm_install_log" />
                <input type="hidden" name="memo_cd" value="{//Records/@memo_cd}" />
                <input type="hidden" name="srv_cd" value="{//Records/srv_cd}" />
                <?php if($user_class > 2){ ?>
                  <xsl:if test="//Records/lock_flag != 't'">
                    <input type="submit" value="Submit" />
                  </xsl:if>
                <?php } ?>
              </td>
            </tr>
          </table>
        </form>
        <table border="1">
          <tr>
            <td align="center">
              <form action="index.php" method="get">
                <input type="hidden" name="status" value="view_install_logs" />
                <input type="hidden" name="srv_cd" value="{//Records/srv_cd}" />
                <input type="submit" value="Back" />
              </form>
            </td>
            <xsl:if test="//Records/lock_flag != 't'">
              <td align="center">
                <form action="index.php" method="post">
                  <input type="hidden" name="status" value="delete_install_log" />
                  <input type="hidden" name="memo_cd" value="{//Records/@memo_cd}" />
                  <input type="hidden" name="srv_cd" value="{//Records/srv_cd}" />
                <?php if($user_class > 2){ ?>
                  <input type="submit" value="Delete" />
                <?php } ?>
                </form>
              </td>
            </xsl:if>
          </tr>
        </table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
