#!/usr/local/bin/php
<?php
/*
 * $Id: songxin.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 *
 * Server Manager by ADCOOP
 * Mail Sending processing for LogWatch Report
 */
// include the setup script
include('public_html/libs/server_manager.lib.php');

// sending mail subject
$mail_date = date('Y-m-d');
define('MAIL_SUBJECT',"LogWatchReport(" . $mail_date . ")");
// html switch
define('HTML_OUT_SW',1);
// report header
define('TEXT_REPORT_HEADER',"Local Bounce\nForeign Bounce\nWARNING\nRelaying denied\nUnrecognized warning\nFailed logins from these\nUnmatched Entries\nUnknown Entries\nDisk Space\n");
define('HTML_REPORT_HEADER',"Local Bounce<br>Foreign Bounce<br>WARNING<br>Relaying denied<br>Unrecognized warning<br>Failed logins from these<br>Unmatched Entries<br>Unknown Entries<br>Disk Space");

// create servermanager object
$servermanager =& new ServerManager;

/*
 * Confirming the operation
 * /usr/local/bin/php songxin.php
*/

  $data = $servermanager->makeLogWatchReport($mail_date);
  if($data === FALSE){
    exit(1);
  }else{
    $text_body = TEXT_REPORT_HEADER;
    if(HTML_OUT_SW){
      $html_body = "<html><body>".HTML_REPORT_HEADER."<hr>";
    }
    $d_flag = 0;
    foreach($data as $k=>$v){
      $text_body .= $v["srv_name"]."\n";
      $text_body .= $v["eth0_ipaddr"]."\n";
      if($v["sirial"] == "" || ($v["sirial"] != "" && $v["rcv_date"] == "")){
        $text_body .= "-,-,-,-,-,-,-,-,-\n";
        $d_flag = 1;
      }else{
        $text_body .= $v["CK00"].",";  // Local Bounce:
        $text_body .= $v["CK01"].",";  // Foreign Bounce:
        $text_body .= $v["CK02"].",";  // WARNING:
        $text_body .= $v["CK03"].",";  // Relaying denied:
        $text_body .= $v["CK04"].",";  // Unrecognized warning:
        $text_body .= $v["CK05"].",";  // Failed logins from these:
        $text_body .= $v["CK06"].",";  // **Unmatched Entries**
        $text_body .= $v["CK07"].",";  // Unknown Entries:
        $text_body .= $v["CK08"]."\n";  // Disk Space
      }
      if(HTML_OUT_SW){
        $html_body .= "<font color=\"blue\">".$v["srv_name"]."</font><br>\n";
        $html_body .= $v["eth0_ipaddr"]."<br>\n";
        if($v["sirial"] == "" || ($v["sirial"] != "" && $v["rcv_date"] == "")){
          $html_body .= "-,-,-,-,-,-,-,-,-<hr>\n";
          $d_flag = 1;
        }else{
          $html_body .= $v["CK00"].",";  // Local Bounce:
          $html_body .= $v["CK01"].",";  // Foreign Bounce:
          $html_body .= $v["CK02"].",";  // WARNING:
          $html_body .= $v["CK03"].",";  // Relaying denied:
          $html_body .= $v["CK04"].",";  // Unrecognized warning:
          $html_body .= $v["CK05"].",";  // Failed logins from these:
          $html_body .= $v["CK06"].",";  // **Unmatched Entries**
          $html_body .= $v["CK07"].",";  // Unknown Entries:
          $html_body .= $v["CK08"]."<hr>\n";  // Disk Space
        }
      }
    }
    if(HTML_OUT_SW){
      $html_body .= "</body></html>\n";
    }
    if($d_flag == 1){
      $subject = "[*]".MAIL_SUBJECT;
    }else{
      $subject = MAIL_SUBJECT;
    }
    if(HTML_OUT_SW){
      $boundary = "----=_NextPart_".uniqid(rand(),1);
      $subject  = mb_encode_mimeheader(mb_convert_encoding(MAIL_SUBJECT, "JIS", "auto"), "JIS");
      $mp = popen("/usr/sbin/sendmail -f ".FROM_ADDRESS." ".SEND_MAIL_ADDRESS, "w");
      // mail header
      fputs($mp, "MIME-Version: 1.0\n");
      fputs($mp, "Content-Type: Multipart/alternative; boundary=\"$boundary\"\n");
      fputs($mp, "From: " .mb_encode_mimeheader(FROM_SENDER) ."<" . FROM_ADDRESS .">\n");
      fputs($mp, "To: ".SEND_MAIL_ADDRESS."\n");
      fputs($mp, "Subject: ".$subject."\n");
      // mail body
      fputs($mp, "--$boundary\n");
      fputs($mp, "Content-Type: text/plain; charset=\"ISO-2022-JP\"\n");
      fputs($mp, "\n");
      $text_body = mb_convert_encoding($text_body,"JIS","auto");;
      fputs($mp, "$text_body\n");
      fputs($mp, "--$boundary\n");
      fputs($mp, "Content-Type: text/html; charset=iso-2022-jp\n");
      fputs($mp, "Content-Transfer-Encoding: 7bit\n");
      fputs($mp, "\n");
      $html_body = mb_convert_encoding($html_body,"JIS","auto");;
      fputs($mp, "$html_body\n");
      fputs($mp, "\n");
      fputs($mp, "--$boundary" . "--\n");
      pclose($mp);
    }else{
      $header  = "Content-Type: text/plain; charset=ISO-2022-JP\n";
      $header .= "From: " .mb_encode_mimeheader(FROM_SENDER) ."<" . FROM_ADDRESS .">\n";
      $header .= "To: ".SEND_MAIL_ADDRESS."\n";
      $header .= "MIME-Version: 1.0\r\n";
      $header .= "Subject: ".$subject."";
      @mail(SEND_MAIL_ADDRESS,MAIL_SUBJECT,$text_body,$header);
    }
  }
  exit(0);
?>