#!/usr/local/bin/php
<?php
/*
 * $Id: xin.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 *
 * Server Manager by ADCOOP
 * Mail reception processing
 */
// include the setup script
include('public_html/libs/server_manager.lib.php');

// create servermanager object
$servermanager =& new ServerManager;

/*
 * Confirming the operation
 * cat test.eml | /usr/local/bin/php xin.php
*/
// Initialization
  $mail_data["subject"]   = "";
  $mail_data["mail_log"]  = "";
  $mail_data["free_memo"] = "";
  $source    = "";
  // The mail source is read from a standard input.
  while(!feof(STDIN)) {
    $buff = mb_convert_encoding(fgets(STDIN, 4096),"UTF-8","AUTO");
    if(preg_match("/^Subject:\s(.*)$/i",$buff,$match)){
      $mail_data["subject"] = chop($match[1]);
    }
    if(preg_match("/^From:\s.*@(.*)\s\(Cron Daemon\)$/i",$buff,$match)){
      $mail_from = chop($match[1]);
    }
    $source .= $buff;
  }
  if($source == ""){
    exit(0);
  }
  $mail_data["mail_log"] = $source;
  // Insert data
  if(preg_match("/^TWReport.*$/i",$mail_data["subject"])){
    $mode = "T";
    $buff = explode(" ",$mail_data["subject"]);
    $mail_data["srv_name"] = $buff[1];
  }elseif(preg_match("/^\[integrit\].*$/i",$mail_data["subject"])){
    $mode = "T";
    $buff = explode(" ",$mail_data["subject"]);
    $srv_name = ereg_replace(':', '', $buff[1]);
    $mail_data["srv_name"] = $srv_name;
  }elseif(preg_match("/^LogWatch.*$/i",$mail_data["subject"])){
    $mode = "L";
    $buff = explode(" ",$mail_data["subject"]);
    $mail_data["srv_name"] = $buff[2];
  }elseif(preg_match("/^Cron.*$/i",$mail_data["subject"])){
    $mode = "C";
    $mail_data["srv_name"] = $mail_from;
  } else {
    exit(1);
  }

  $res = $servermanager->addServerDailyLogReceived($mail_data, $mode);

  if($res === FALSE){
    for($i=0;$i<3;$i++){  // It retries up to three times at the error.
      // It is delayed 1 second.
      sleep(1);
      if($servermanager->addServerDailyLogReceived($mail_data, $mode) !== FALSE){
        exit(0);
      }
    }
  }else{
    exit(0);
  }
  exit(1);
?>